
                page    60,132
                title   REBOOT.ASM = Performs a Warm System Boot =

                PUBLIC REBOOT

;=======================================================================;
;                                                                       ;
;       This segment is used to reference a "JMP" instruction in        ;
;       ROM which branch to the reboot code in ROM.                     ;
;                                                                       ;
;=======================================================================;

rom_seg         segment at 0ffffH
boot_jmp        label   far
rom_seg         ends

;=======================================================================;
;                                                                       ;
;       This segment is used to reference a word in the BIOS data       ;
;       area which is used to determine if a WARM or COLD reboot        ;
;       should be performed by the reboot code in ROM.                  ;
;                                                                       ;
;=======================================================================;

bios_seg        segment at 0040H
                org     bios_seg+72H
boot_flags      label   word
bios_seg        ends

cold_boot       equ     0000H           ;Value to indicate COLD reboot
warm_boot       equ     1234H           ;Value to indicate WARM reboot


                page
;=======================================================================;
;                                                                       ;
;       The following lines set the boot flags in the BIOS Data         ;
;       Area and then invoke the boot code in the BIOS ROM.             ;
;                                                                       ;
;=======================================================================;

code_seg        segment
                assume  CS:code_seg, DS:code_seg
                org     code_seg+100H

reboot          proc
                mov     AX,bios_seg
                mov     DS,AX           ;Point to BIOS Data Area
                assume  DS:bios_seg
                mov     boot_flags,warm_boot

                assume  DS:rom_seg
                jmp     boot_jmp        ;Jump to Reboot Code
reboot          endp

code_seg        ends

                end
-- 
      harvard\     att!nicmad\              cs.wisc.edu!astroatc!vidiot!brown
Vidiot  ucbvax!uwvax..........!astroatc!vidiot!brown
      rutgers/  decvax!nicmad/   INTERNET:<@cs.wisc.edu,@astroatc:brown@vidiot>


